#include "mars/MTime.h"

using namespace std;

Double_t dates[] =
{
    MTime(2011, 10, 24,  0, 48,  0).GetAxisTime(), // Start of data taking
    MTime(2011, 10, 24,  1, 17, 57).GetAxisTime(), // New pointing model
    MTime(2011, 10, 24,  2, 34, 56).GetAxisTime(), // New pointing model
    //MTime(2011, 10, 24,  3, 15, 11).GetAxisTime(), // New pointing model
    MTime(2012, 11,   8).GetAxisTime(),            // New pointing model
    MTime(2013, 12,  30).GetAxisTime(),            // New pointing model
    MTime(2013, 12,  31).GetAxisTime(),            // New pointing model
    MTime(2014,  5,  23).GetAxisTime(),            // Mirror alignment
    MTime(2014,  5,  24, 0, 12, 0).GetAxisTime(),  // New pointing model
    MTime(2014,  5,  24).GetAxisTime(),            // New pointing model
    MTime(-1).GetAxisTime(),
    -1
};

#include "plot.C"

void plot_fact()
{

    MDirIter Next;
    Next.AddDirectory("tpoint/fact/", "tpoint*.txt", -1);

    plot(Next);
}
